var playerName = "TEST";
var playerGroup = null;
var appType = "WF";

var baseOpts = {
    qrCodeBaseUrl: "https://map.abuzzsolutions.asia/amap/map.php?site=SCM_WF",
    siteBaseUrl: "/",
    mediaBaseUrl: "/cache",
    labelFontUrl: "assets/fonts/Circular_Pro_Book.json",
    amapBaseUrl: "/app/amap/",

    defaultViewsByNodeId: {
        "_36235_24246_-600": { camera: [19429, -15117, 30299], scene: [29753, 16973, 300] }, // Default
		
		"_18393_24246_-600": { camera: [3986, 22457, 18542], scene: [23914, 22793, 300] }, // SCM-001-WF-LG-West-01
		"_23992_21064_-600": { camera: [22906, 7823, 15456], scene: [22764, 22222, 300] }, // SCM-002-WF-LG-West-02
		"_40439_24246_-600": { camera: [24991, 23941, 14935], scene: [36899, 23892, 300] }, // SCM-003-WF-LG-East-03
		"_54910_27743_-600": { camera: [51031, 39330, 17958], scene: [50970, 24337, 300] }, // SCM-004-WF-LG-East-04
		"_23228_20534_0": { camera: [35678, 22286, 17007], scene: [24939, 22329, 300] }, // SCM-005-WF-UG-West-05
		"_29448_24269_0": { camera: [14656, 25149, 19337], scene: [27852, 24910, 300] }, // SCM-006-WF-UG-West-06
		"_39733_24269_0": { camera: [19938, 25446, 17205], scene: [35775, 25381, 300] }, // SCM-007-WF-UG-East-07
		"_55367_28038_0": { camera: [53882, 40112, 13381], scene: [53747, 27858, 300] }, // SCM-008-WF-UG-East-08
		"_23266_20306_600": { camera: [38471, 22077, 16608], scene: [25391, 22221, 300] }, // SCM-009-WF-L1-West-09
		"_29331_24016_600": { camera: [16237, 24514, 15421], scene: [27522, 24547, 300] }, // SCM-010-WF-L1-West-10
		"_45385_24016_600": { camera: [63490, 23825, 19866], scene: [46877, 23777, 300] } // SCM-011-WF-L1-East-11
		},

    startNodeModel: {
        file: "app/assets/YOUAREHERE.obj",
        scale: [3, 3, 1],
        animate: false,
        animRotation: [0,0,5],
		neutralRotation: true
    },

    // poiPinPointModel: {
    //     file: "app/assets/XXXX.obj",
    //     scale: [2, 2, 2],
    //     neutralRotation: true
    // },

    // ssTopBanner: {
    //     link: "/../app/assets/images/ss-top-banner.png",
    //     type: "IMAGE"
    // },

    pathAutoAnimate: true,
    pathAutoAnimateDelay: 0, // secs
    pathDirToPartAnimDelay: 1, // secs
    controlsRotate: true,
    controlsPan: true,
    controlsZoom: true,
    labelsHorizontal: false,
	
	multiFloorTransition: true,
	heightSpread: 15000, // cm

    useTopCategories: false,
    qrDarkColor: "#000000",

    clockDateFormat: "dddd, DD MMMM",
    clockTimeFormat: "hh:mm A",
    weatherCity: "Setia Alam, MY"
};

var customMainServicesCodes = null;
var servicesWithResultsList = ["parking", "atm_", "dropoff", "taxi", "prayer_room", "info"];
var servicesWithResultsListSortField = "cellId";